package com.yihu.hos.crawler.storage;


import com.yihu.hos.crawler.format.IDataTransformer;
import com.yihu.hos.crawler.model.patient.Patient;
import com.yihu.hos.crawler.format.AdapterScheme;

/**
 * Created by Administrator on 2015/10/15.
 */
public class DataSetStorage extends MongodbStorage {
    public static final String KEY_CODE = "code";

    public DataSetStorage(AdapterScheme adapterScheme, String dbName) {
        super(adapterScheme, dbName);
    }

    @Override
    public boolean save(IDataTransformer dataTransformer) {
        return true;
    }

    /**
     * @param patient
     * @return
     * @modify 将档案生成到到data目录
     */
    @Override
    public boolean toFile(Patient patient) {
        return true;
    }

    @Override
    public String getKey(){
        return KEY_CODE;
    }
}
